Bug 42544 - WebKitTestRunner needs layoutTestController.addOriginAccessWhitelistEntry
Summary: WebKitTestRunner needs layoutTestController.addOriginAccessWhitelistEntry
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Chang Shu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-07-18 21:46 PDT by Maciej Stachowiak
Modified: 2011-04-26 22:54 PDT (History)
2 users (show)

See Also:


Attachments
fix patch (15.10 KB, patch)
2011-04-19 13:36 PDT, Chang Shu
laszlo.gombos: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
rebaseline (14.81 KB, patch)
2011-04-26 16:52 PDT, Chang Shu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2010-07-18 21:46:39 PDT
WebKitTestRunner needs layoutTestController.addOriginAccessWhitelistEntry
Comment 1 Maciej Stachowiak 2010-07-18 21:52:02 PDT
<rdar://problem/8204914>
Comment 2 Chang Shu 2011-04-19 13:36:05 PDT
Created attachment 90245 [details]
fix patch
Comment 3 Laszlo Gombos 2011-04-26 15:47:44 PDT
Comment on attachment 90245 [details]
fix patch

looks good to me. r+
Comment 4 WebKit Commit Bot 2011-04-26 16:13:08 PDT
Comment on attachment 90245 [details]
fix patch

Rejecting attachment 90245 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'apply-..." exit_code: 2

Last 500 characters of output:
Runner/InjectedBundle/Bindings/LayoutTestController.idl.rej
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/platform/mac-wk2/Skipped
Hunk #1 succeeded at 1176 (offset -7 lines).
patching file LayoutTests/platform/qt-wk2/Skipped
Hunk #1 succeeded at 1617 (offset -12 lines).
Hunk #2 succeeded at 2827 (offset -7 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Laszlo Gombos', u'--fo..." exit_code: 1

Full output: http://queues.webkit.org/results/8507752
Comment 5 Chang Shu 2011-04-26 16:52:12 PDT
Created attachment 91181 [details]
rebaseline
Comment 6 WebKit Commit Bot 2011-04-26 22:54:40 PDT
Comment on attachment 91181 [details]
rebaseline

Clearing flags on attachment: 91181

Committed r85019: <http://trac.webkit.org/changeset/85019>
Comment 7 WebKit Commit Bot 2011-04-26 22:54:45 PDT
All reviewed patches have been landed.  Closing bug.